Details

    • Type: Bug
    • Status: New (View Workflow)
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Kie-Server
    • Labels:
      None
    • Affects:
      Compatibility/Configuration

      Description

      When tried to run KIE Server and embedded jBPM engine with Hibernate 5.3.6.Final on WebSphere 9.0.0.9, it fails to run because Hibernate 5.3.6.Final depends on a TableGenerators class which is only available in JPA 2.2 specification. This issue can be partially mitigated by turning off container-managed persistence with property

      com.ibm.websphere.persistence.ApplicationsExcludedFromJpaProcessing
      

      but this would turn off support for EJBs and for JPA injection using @PersistenceUnit/@PersistenceContext. KIE Server works with this option, but jBPM engine cannot be embedded inside EJB or cannot use mentioned annotations.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  swiderski.maciej Maciej Swiderski
                  Reporter:
                  mmacik Marian Macik
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                  Dates

                  • Created:
                    Updated: